Subject: Bug#4468: dpkg cannot cope with erased postrm script

From: Christoph Lameter <[email-masked]>
Date: Tue, 10 Sep 1996 13:54:36 -0700

package: dpkg
version: 1.3.14

I have a netdiag package from which I removed the postrm script. Here is a result of trying to install the package after that change:

# dpkg -i netdiag*5_i386.deb
(Reading database ... 20335 files and directories currently installed.)
Preparing to replace netdiag 0.2-3 (using netdiag_0.2-5_i386.deb) ...
Unpacking replacement netdiag ...
Removing easy access links for traceroute and tcpdump
rm: /usr/bin/traceroute: No such file or directory
rm: /usr/bin/tcpdump: No such file or directory
dpkg: warning - old post-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
dpkg: error processing netdiag_0.2-5_i386.deb (--install):
 there is no script in the new version of the package - giving up
Errors were encountered while processing:
 netdiag_0.2-5_i386.deb

I think it should just accept that there is no such thing as a postrm script anymore.